package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.EsquemaCorridaEmbarqueDesembarqueDAO;
import com.rjconsultores.ventaboletos.entidad.EsquemaCorrida;
import com.rjconsultores.ventaboletos.entidad.EsquemaCorridaEmbarqueDesembarque;

@Repository("esquemaCorridaEmbarqueDesembarqueHibernateDAO")
public class EsquemaCorridaEmbarqueDesembarqueHibernateDAO extends GenericHibernateDAO<EsquemaCorridaEmbarqueDesembarque, Integer> implements EsquemaCorridaEmbarqueDesembarqueDAO {

    @Autowired
    public EsquemaCorridaEmbarqueDesembarqueHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

	@SuppressWarnings("unchecked")
	@Override
	public List<EsquemaCorridaEmbarqueDesembarque> obtenerPorEsquemaCorrida(EsquemaCorrida esquemaCorrida) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("esquemaCorrida", esquemaCorrida));
        return c.list();
	}

}
